import React, {ReactElement} from 'react'
import ReactMarkdown from 'react-markdown'
import remarkGfm from 'remark-gfm'

const markdown = `A paragraph with *emphasis* and **strong importance**.

> A block quote with ~strikethrough~ and a URL: https://reactjs.org.

* Lists
* [ ] todo
* [x] done

A table:

| a | b |
| - | - |

An image:
[![Foo](http://www.google.com.au/images/nav_logo7.png)](http://google.com.au/)
`

const MarkdownPost = (): ReactElement => {
    return (
        // eslint-disable-next-line react/no-children-prop
        <ReactMarkdown children={markdown} remarkPlugins={[remarkGfm]} />
    );
}

export default MarkdownPost;
